#include "monitor.h"

namespace NWebmaster {

TMonitor::TMonitor()
    : ProcessedSitemaps("ValidatorDaemon_ProcessedSitemaps")
    , ProcessedRobots("ValidatorDaemon_ProcessedRobots")
{
}

void TMonitor::Upload() {
    TMonitoringAgent<> agent;

    agent
        .Next(ProcessedSitemaps)
        .Next(ProcessedRobots)
        .GlobalDerived()
        .Commit();
}

} //namespace NWebmaster
